Loading...
Searching...
No Matches
sdp_rtpmap_s Struct Reference

Mapping from RTP payload to codec. More...

`#include <sdp.h>`

Collaboration diagram for sdp_rtpmap_s:
[legend]

## Data Fields

int | rm_size
| sizeof sdp_rtpmap_t
sdp_rtpmap_t * | rm_next
| Next RTP map entry.
sdp_text_t * | rm_encoding
| Codec name.
unsigned long | rm_rate
| Sampling rate.
sdp_text_t * | rm_params
| Format-specific parameters.
sdp_text_t * | rm_fmtp
| Contents of fmtp.
unsigned | rm_predef: 1
| is this entry well-known?
unsigned | rm_pt: 7
| Payload type.
unsigned | rm_any: 1
| Wildcard entry.

## Detailed Description

Mapping from RTP payload to codec.

The sdp_rtpmap_t() structure defines a mapping from an RTP payload to a particular codec. In case of well-known payloads, the sdp_rtpmap_t() structure may be predefined, that is, generated by SDP parser without corresponding "a" line in the SDP. The sdp_rtpmap_t() structure may also contain the `fmtp` attribute, which is used to convey format-specific parameters.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.